import request from '@/utils/request'

// 查询sopUserLogs列表
export function listSopUserLogs(query) {
  return request({
    url: '/qwSop/sopUserLogs/list',
    method: 'get',
    params: query
  })
}

// 查询sopUserLogs详细
export function getSopUserLogs(id) {
  return request({
    url: '/qwSop/sopUserLogs/' + id,
    method: 'get'
  })
}

// 新增sopUserLogs
export function addSopUserLogs(data) {
  return request({
    url: '/qwSop/sopUserLogs',
    method: 'post',
    data: data
  })
}

// 修改sopUserLogs
export function updateSopUserLogs(data) {
  return request({
    url: '/qwSop/sopUserLogs',
    method: 'put',
    data: data
  })
}

// 删除sopUserLogs
export function delSopUserLogs(id) {
  return request({
    url: '/qwSop/sopUserLogs/' + id,
    method: 'delete'
  })
}

// 导出sopUserLogs
export function exportSopUserLogs(query) {
  return request({
    url: '/qwSop/sopUserLogs/export',
    method: 'get',
    params: query
  })
}

//修复营期
export function repairSopUserLogs(data) {
  return request({
    url: '/qwSop/sopUserLogs/repairSopUserLogs',
    method: 'post',
    data: data
  })
}
